DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# HasNormalStride

Determines whether an image has a normal stride

## SYNOPSIS

dip_Error dip_HasNormalStride( image, &answer )

## FUNCTION

Determines whether an image has a normal stride. If `answer` is not zero, the verdict is passed in this variable. Otherwise, `HasNormalStride` returns an error in case `image` does not have a normal stride.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | The image under investigation
`dip_Boolean *` | `answer` | The verdict

## SEE ALSO

The image structure

`ImageGetStride`, `IsScalar`

DIPlib on-line documentation | Function reference | Global function index